27 Kwi
2005
27 Kwi
'05
22:21
Tak sobie pomyślałem, że w redhatowych dystrybucjach można by lmsd startować przy pomocy init skryptów. W załączniku diffy odpowiednie do wersji z cvs'u. Gdzie powinien leżeć skrypt lmsd w katalogu ze źródłami można dowiedzieć się z Makefile.in.diff :)
--
Piotrek Górski
http://www.audioscrobbler.com/user/sledzik1984
Mój klucz PGP: http://tinyurl.com/3nhvd
--- configure 2005-04-26 11:33:49.000000000 +0200
+++ configure 2005-04-27 22:07:51.000000000 +0200
@@ -203,7 +203,8 @@
" > ./${x}/Makefile && cat ./${x}/Makefile.in >> ./${x}/Makefile
echo " done"
fi
fi
done
-echo "***************************************************************"
+echo "*************************************************************************************************"
echo "Configuration finished. Now You can type 'make && make install'"
+echo "Configuration finished. Now You can type 'make && make install_init' to install with init scripts"
#!/bin/bash
#
# lmsd Star/Stop Lan Management System daemon
#
# description: lmsd is a daemon for Lan Management System
# processname: lmsd
# Source functions library
. /etc/init.d/functions
if [ -f /etc/sysconfig/lmsd ] ; then
. /etc/sysconfig/lmsd
fi
RETVAL=0
# Some configuration
db_host=localhost
db_name=biuro
db_user=root
pass=dupcia1
hostname=192.168.0.1
prog=lmsd
#Change below if your lmsd lies elsewhere
path=/usr/local/bin/lmsd
start() {
echo -n $"Starting $prog: "
daemon $path -h $db_host -d $db_name -u $db_user -p $pass -H $hostname
RETVAL=$?
echo
[ $RETVAL -eq 0 ] && touch /var/lock/subsys/$prog
return $RETVAL
}
stop() {
echo -n $"Stopping $prog: "
killproc $path
RETVAL=$?
echo
[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/$prog
return $RETVAL
}
restart() {
stop
start
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart)
restart
;;
status)
status $path
;;
condrestart)
[ -f /var/lock/subsys/$prog ] && restart || :
;;
*)
echo $"Usage: $0 {start|stop|status|restart|condrestart}"
exit 1
esac
exit $?
--- Makefile.in 2005-04-01 12:50:37.000000000 +0200
+++ Makefile.in 2005-04-27 16:05:09.000000000 +0200
@@ -16,10 +16,15 @@
strip $(OUT)
install:
mkdir -p -m 755 $(INSTALLDIR)
install -c -m 700 lmsd $(INSTALLDIR)/
+
+install_init:
+ mkdir -p -m 755 $(INSTALLDIR)
+ install -c -m 700 lmsd $(INSTALLDIR)/
+ install -c -m 755 initd/lmsd /etc/init.d/
remove:
rm -f $(INSTALLDIR)/lmsd
clean:
7179
Wiek (w dniach)
7179
Ostatnia aktywność (w dniach)
0 komentarze
1 uczestnicy
uczestnicy (1)
-
Piotr Górski